package com.keao.edu.user.entity;

import com.keao.edu.user.enums.ExamEvaluationResultEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(student_exam_result):
 */
public class StudentExamResult {

	private Long id;

	@ApiModelProperty(value = "学员报考编号")
	private Long examRegistrationId;
	
	@ApiModelProperty(value = "考级项目编号")
	private Integer examinationBasicId;
	
	@ApiModelProperty(value = "学员编号")
	private Integer studentId;

	@ApiModelProperty(value = "学员注册信息")
	private ExamRegistration examRegistration;

	@ApiModelProperty(value = "考试结果")
	private ExamEvaluationResultEnum result;

	@ApiModelProperty(value = "教师评审均分")
	private Float avgScore;

	@ApiModelProperty(value = "考试结果确认")
	private Boolean confirmStatus;
	
	@ApiModelProperty(value = "备注")
	private String memo;
	
	@ApiModelProperty(value = "操作者")
	private Integer operatorId;

	@ApiModelProperty(value = "是否参与考试")
	private Boolean isFinishedExam;

	private java.util.Date createTime;

	private java.util.Date updateTime;

	private String tenantId;

	public Long getExamRegistrationId() {
		return examRegistrationId;
	}

	public void setExamRegistrationId(Long examRegistrationId) {
		this.examRegistrationId = examRegistrationId;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}

	public ExamRegistration getExamRegistration() {
		return examRegistration;
	}

	public void setExamRegistration(ExamRegistration examRegistration) {
		this.examRegistration = examRegistration;
	}

	public Boolean getConfirmStatus() {
		return confirmStatus;
	}

	public void setConfirmStatus(Boolean confirmStatus) {
		this.confirmStatus = confirmStatus;
	}

	public void setExaminationBasicId(Integer examinationBasicId){
		this.examinationBasicId = examinationBasicId;
	}
	
	public Integer getExaminationBasicId(){
		return this.examinationBasicId;
	}
			
	public void setStudentId(Integer studentId){
		this.studentId = studentId;
	}
	
	public Integer getStudentId(){
		return this.studentId;
	}

	public ExamEvaluationResultEnum getResult() {
		return result;
	}

	public void setResult(ExamEvaluationResultEnum result) {
		this.result = result;
	}

	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setOperatorId(Integer operatorId){
		this.operatorId = operatorId;
	}
	
	public Integer getOperatorId(){
		return this.operatorId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public Float getAvgScore() {
		return avgScore;
	}

	public void setAvgScore(Float avgScore) {
		this.avgScore = avgScore;
	}

	public void setTenantId(String tenantId){
		this.tenantId = tenantId;
	}
	
	public String getTenantId(){
		return this.tenantId;
	}

	public Boolean getIsFinishedExam() {
		return this.isFinishedExam;
	}

	public void setIsFinishedExam(Boolean isFinishedExam) {
		this.isFinishedExam = isFinishedExam;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
